config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.sanlock.new
preserve_perms etc/rc.d/rc.wdmd.new
config etc/logrotate.d/sanlock.new
config etc/sanlock/sanlock.conf.new
config etc/default/wdmd.new
( cd usr/lib64 ; rm -rf libsanlock.so )
( cd usr/lib64 ; ln -sf libsanlock.so.1.0 libsanlock.so )
( cd usr/lib64 ; rm -rf libsanlock.so.1 )
( cd usr/lib64 ; ln -sf libsanlock.so.1.0 libsanlock.so.1 )
( cd usr/lib64 ; rm -rf libsanlock_client.so )
( cd usr/lib64 ; ln -sf libsanlock_client.so.1.0 libsanlock_client.so )
( cd usr/lib64 ; rm -rf libsanlock_client.so.1 )
( cd usr/lib64 ; ln -sf libsanlock_client.so.1.0 libsanlock_client.so.1 )
( cd usr/lib64 ; rm -rf libwdmd.so )
( cd usr/lib64 ; ln -sf libwdmd.so.1.0 libwdmd.so )
( cd usr/lib64 ; rm -rf libwdmd.so.1 )
( cd usr/lib64 ; ln -sf libwdmd.so.1.0 libwdmd.so.1 )
